package com.willalp.yiqing.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 疫情登记用户对象 hs_yiqing_user
 *
 * @author willalp
 * @date 2022-03-29
 */

@TableName("hs_yiqing_user")
public class HsYiqingUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 用户编号
     */
    @Excel(name = "用户编号")
    private String userNo;

    /**
     * 用户名
     */
    @Excel(name = "用户名")
    private String userName;

    /**
     * 机构编号
     */
    @Excel(name = "机构编号")
    private String orgNo;

    /**
     * 机构名称
     */
    @Excel(name = "机构名称")
    private String orgName;
    /**
     * 登记问筛选对照列表
     */
    @TableField(exist = false)
    private String[] queList;

    /**
     * 登记问筛选答案
     */
    @TableField(exist = false)
    private String[] queData;


    /**
     * 是否删除（0.未删除；1.已删除）
     */
    @TableLogic
    private Integer isDelete;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo;
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setOrgNo(String orgNo) {
        this.orgNo = orgNo;
    }

    public String getOrgNo() {
        return orgNo;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getOrgName() {
        return orgName;
    }

    public String[] getQueList() {
        return queList;
    }

    public void setQueList(String[] queList) {
        this.queList = queList;
    }

    public String[] getQueData() {
        return queData;
    }

    public void setQueData(String[] queData) {
        this.queData = queData;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userNo", getUserNo())
                .append("userName", getUserName())
                .append("orgNo", getOrgNo())
                .append("orgName", getOrgName())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
